EDIT - bug #9966

Search order in advanced search not correct
03/11/2022 11:18 AM - Andreas Miiller

Status: In Progress Start date: 04/19/2022
Priority: Highest Due date: 04/30/2022
Assignee: Andreas Muller % Done: 10%
Category: cdm-dataportal Estimated time: 5:00 hours
Target version: Release 5.43

Severity: critical Found in Version:

Description

ERS:

Das ist die nicht-alphabetische Ausgabe der Search results in der advanced search (also bei Setzen eines Geo-Filters). Es ist eine
sehr haufige Anforderung, dass man z. B. die Arten einer Gattung in einem bestimmten Areal sucht.

Ich suche z.B. nach Arten der Gattung Brassica auf Sizilien:
Im Berlin-Model kriegt man dann eine schon sortierte Liste, die man sogar ausdrucken kann:

https://ww2.bgbm.org/EuroPlusMed/RegionalTaxon.asp?PTNameFk=14195&Name=Brassica&PTRefFk=7200000&Reqion=683&Are
aFk=&Print=1

In der Plattform dagegen eine unsortierte Liste, die gerade bei etwas gréBeren Gattungen nur wenig nitzt, weil man nichts mehr
findet:

https://europlusmed.org/cdm_dataportal/search/results/taxon?ws=portal%2Ftaxon%2Fsearch&query=Brassica&form_build_id=form-
KP34ii2zjTu8VUIf8_y5lag8oy55fkUXClwmqc820IE&form_token=CZ3tAXLR_ajab1gBspOIC_bdAaYKdnlg3uxige23i5A&form_id=cdm

_dataportal_search_taxon_form_advanced&search%5BpageSize%5D=25&search%5Bpagelndex%5D=0&search%5Bareas%5D%5
Bareas_filter%5D=Sici&search%5Bareas%5D%5Barea%5D%5B0%5D%5Bdb1facf2-58a5-483e-9b2a-eb4290cailb71%5D=db1facf2
-58a5-483e-9b2a-eb4290ca1b71&search%5Btree%5D=314a68f9-8449-495a-91c2-92fde8bcf344&search%5BdoTaxa%5D=1&searc
h%5BdoSynonyms%5D=1

(die inhaltlichen Unterschiede bitte nicht beachten, wurde mittlerweile stark verandert).

Ich denke, das kann doch nicht so schwierig sein, die Ergebnisse auch einer advanced search alphabetisch zu sortieren, weil doch
bei der einfachen Suche in der Plattform auch eine alphabetisch sortierte Liste herauskommt (der entsprechende Programmiercode
also bekannt sein musste, wie ich laienhafterweise annehme?):

9wUHvQOMKOHwIK1LcHWszIdBtTOkOIPRoMkonea&form token= q8cLoeokaEZcTeheKVVR|I7w7| a291aYchvv600M&form i

d=cdm_dataportal_search_taxon_form&search%5BdoTaxaByCommonNames%5D=&search%5BdoSynonyms%5D=1&search%5Bd
oTaxa%5D=1&search%5BpageSize%5D=25&search%5Bpagelndex%5D=0

Related issues:

Related to EDIT - feature request #7158: Add pro parte misapplied name to the... Feedback
Related to EDIT - bug #10247: Common name search is slow New
History

#1 - 03/11/2022 02:24 PM - Katja Luther

The lucene search uses the OrderHint NOMENCLATURAL_SORT_ORDER, which sounds good, but at the end the id is used for ordering. We need
an implementation similar to the "order by rank and name"

#2 - 03/11/2022 02:53 PM - Andreas Miuller
- Due date set to 03/22/2022
- Start date set to 03/11/2022

#3 - 03/16/2022 10:09 AM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 10
#4 - 03/23/2022 09:53 AM - Andreas Miiller
- Estimated time set to 5:00 h

#5 - 03/23/2022 03:34 PM - Andreas Miiller

- Due date changed from 03/22/2022 to 03/31/2022
- Priority changed from New to Highest

- Start date changed from 03/11/2022 to 03/25/2022

- Severity changed from major to critical

This ticket is not so much related to the current milestone so | move further to next week. Maybe we have to think about moving it fully to the

performance milestone 5.33 if there is no time left for fixing now. However priority is high and same with severity

#6 - 03/31/2022 11:12 AM - Andreas Mdller

- Related to feature request #7158: Add pro parte misapplied name to the concept relationship types added

#7 - 03/31/2022 12:45 PM - Andreas Miiller

- Assignee changed from Katja Luther to Andreas Miiller

#8 - 04/06/2022 11:29 PM - Andreas Miiller
- Due date changed from 03/31/2022 to 04/30/2022
- Target version changed from Release 5.31 to Release 5.32

- Start date changed from 03/25/2022 to 04/19/2022

#9 - 07/29/2022 08:17 PM - Andreas Miiller
- Priority changed from Highest to Priority14

#10 - 07/30/2022 07:59 PM - Andreas Miiller

- Target version changed from Release 5.32 to Release 5.33

#11 - 09/08/2022 11:57 AM - Andreas Muller

- Target version changed from Release 5.33 to Release 5.44

#12 - 02/08/2023 10:55 AM - Andreas Miiller

- Related to bug #10247: Common name search is slow added

#13 - 05/28/2023 08:05 AM - Andreas Miiller
- Priority changed from Priority14 to Highest

#14 - 02/14/2024 10:01 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.43

#15 - 02/23/2024 02:27 PM - Andreas Miiller

- Tags changed from euro+med to euro+med, lucene

#16 - 02/23/2024 02:27 PM - Andreas Miiller

- Tags changed from euro+med, lucene to euro+med, lucene, performance
